QT -= gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TEMPLATE = lib
DEFINES += EXPORT_LIBRARY

CONFIG += c++11

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

QMAKE_RPATHDIR += ./

SOURCES += \
    colordialogapi.cpp \
    lhcolordialog.cpp \
    $$files(DropShadow/*.cpp, false) \
    $$files(ImageBlur/*.cpp, false) \
    $$files(PaintHelper/*.cpp, false)

HEADERS += \
    colordialogapi.h \
    lhcolordialog.h \
    $$files(DropShadow/*.h, false) \
    $$files(ImageBlur/*.h, false) \
    $$files(PaintHelper/*.h, false)

# Default rules for deployment.
unix {
    target.path = /usr/lib
}
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    resource.qrc
