#ifndef ONESETTINGITEM_H
#define ONESETTINGITEM_H

#include <QWidget>
#include "spdlog/spdlog.h"

namespace Ui {
class OneSettingItem;
}

class OneSettingItem : public QWidget
{
    Q_OBJECT

public:
    explicit OneSettingItem(QWidget *parent = nullptr);
    ~OneSettingItem();

    /* 设置序号 */
    void setNum(int num);
    /* 设置颜色 */
    void setColor(const QColor& color);
    /* 获取序号 */
    int getNum() { return m_num; }

private slots:
    void do_pBtn_background();

private:
    Ui::OneSettingItem *ui;
    std::shared_ptr<spdlog::logger> m_logger = nullptr;

    int m_num;              /* 序号 */
};

#endif // ONESETTINGITEM_H
