#ifndef SETTINGNUM_H
#define SETTINGNUM_H

#include <QDialog>

#include "spdlog/spdlog.h"

class OneSettingItem;

namespace Ui {
class SettingNum;
}

class SettingNum : public QDialog
{
    Q_OBJECT

public:
    explicit SettingNum(QDialog *parent = nullptr);
    ~SettingNum();

    /* 设置行数和列数 */
    void setRowAndColumn(int row, int column);

private slots:
    void do_pBtn_close();

private:
    /* 布局item */
    void layoutItem(int num);

private:
    Ui::SettingNum *ui;
    std::shared_ptr<spdlog::logger> m_logger = nullptr;

    QList<OneSettingItem*> m_listItem;
};

#endif // SETTINGNUM_H
