#ifndef COLORDIALOGAPI_H
#define COLORDIALOGAPI_H

#include <QWidget>

#if defined (EXPORT_LIBRARY)
# define EXPORT_DLL Q_DECL_EXPORT
#else
# define EXPORT_DLL Q_DECL_IMPORT
#endif


enum class ColorDlgSkin {
    BRIGHT = 0, // 浅色皮肤
    DARK = 1,   // 深色皮肤
    OTHER = 2,  // 自定义皮肤文件，需传入样式
};

EXPORT_DLL QColor getColor(QWidget* parent, ColorDlgSkin skin, const QString& qss = QString(),
                                     const QColor& initClr = QColor(),
                                     const QList<QColor>& baseClrs = QList<QColor>(),
                                     const QList<QColor>& customClrs = QList<QColor>());


#endif // COLORDIALOGAPI_H
